<?php

require_once("Item.php");
require_once("BaseDao.php");
require_once("ItemDao.php");

$item = new Item();
$item_dao = new ItemDao();

//フォーム値の取得
$item->setId($_POST["id"]);
$item->setName($_POST["name"]);
$item->setDetail($_POST["detail"]);
$item->setPrice($_POST["price"]);
$item->setQty($_POST["qty"]);

switch($_POST["button"]){          //ボタンのラベルで条件分岐
  case "UPDATE":                   //更新処理    
    display($item_dao->updateItem($item));
    break;
 case "INSERT":                    //挿入処理
    display($item_dao->insertItem($item));
    break;
 case "DELETE":                    //削除処理
    display($item_dao->deleteItem($item));
    break;
 default:                          //それ以外
    display("指定された処理が不正です");
    break;
}

//引き渡されたメッセージをHTMLで表示
function display($message){
  print <<<EOS
<HTML lang="ja">
<HEAD>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>在庫管理：データ更新</title>
</HEAD>

<BODY TEXT="black" BGCOLOR="white">
<!-- タイトル -->
<div align="center"><font size="5"><b>在庫管理　</b></font><font size="3">データ更新</b><br></font>
</div>
<hr width="600" align="center">

<!-- メッセージ -->
<p>
<div align="center"><font size=+2>$message</font><p>
<a href=displayStock.php><font size=+1>在庫一覧へ戻る</font></a>
</div><p>

<!-- フッター -->
<hr width="600" align="center">
<table width="600" border="0" align="center">
<tr>
<td align="right"><font size="2">＠ＩＴ LinuxSquare「今から始める MySQL入門」<br>
2007/06/25作成</font></td>
</tr>
</table>

</BODY>
</HTML>
EOS;
}

?>

