<?php
class BaseDao{

  protected $mysqli = null;

  //コンストラクタ
  function __construct(){
    $this->connect();
  }

  //デストラクタ
  function __destruct(){
    $this->disconnect();
  }

  //MySQLサーバへ接続
  protected function connect(){
    if(is_null($this->mysqli)){
      $this->mysqli = new mysqli("localhost", "php", "password", "sample_db5");
      $this->mysqli->query("SET NAMES utf8");
      if(mysqli_connect_errno()){
        die("MySQLサーバ接続に失敗しました<br> 理由：" . mysqli_connect_error());
      }
    }
  }

  //MySQLサーバと切断
  protected function disconnect(){
    is_null($this->mysqli) or $this->mysqli->close();
  }
}
?>
